Bug 78364 - bad characters in language selection
bad characters in language selection
Product: Red Hat Linux
Classification: Retired
Component: pango (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Owen Taylor
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2002-11-21 14:53 EST by David Balažic
Modified: 2007-04-18 12:48 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-01-07 12:14:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Balažic 2002-11-21 14:53:02 EST
Description of Problem:

When I want to select a different language in the gfx login screen and click on 
the word "Language", a list of languages is displayed, where are some errors in 
the font or characters :

 - no arabic letter is displayed
 - chinese , japan and korean letters are displayed as a rectangle with four 
hex digits inside, two digits on top and two on bottom

Version-Release number of selected component (if applicable):


How Reproducible:

Steps to Reproduce:
1. click "Language" on the X11 login screen

Actual Results:

some chars are missing or not correct

Expected Results:

Correct arab, chinese, japan and korean chars are drawn

Additional Information:
Comment 1 Havoc Pennington 2002-11-21 19:26:02 EST
This is a function of which fonts you have installed.
We don't want to force people to install CJK or Arabic fonts.

Maybe pango could provide some API to say "can we render this string" 
but failing that or requiring everyone to install all fonts there's not much to
do with this bug.

Note You need to log in before you can comment on or make changes to this bug.